#include<bits/stdc++.h>
using namespace std;
int najveci(int a[],int n)
{
	int max=0,maxi;
	for(int i=0;i<n;i++)
	{
		if(a[i]>max)
		{
			max=a[i];
			maxi=i;
		}
	}
	return maxi;
}
int main()
{
	int n;
	cin>>n;
	int a[n];
	for(int i=0;i<n;i++)
	{
		cin>>a[i];
	}
	for(int i=0;i<n/2;i++)
	{
		swap(a[i],a[n-i-1]);
	}
	if(n==2)
	{
		swap(a[0],a[1]);
	}
	else
	{
		if(najveci(a,n)!=n-1)
		{
			swap(a[0],a[najveci(a,n)]);
		}
		else
		{
			if(najveci(a,n-1)!=n-2)
			{
				swap(a[n-2],a[najveci(a,n-1)]);
			}
			else
			{
				if(najveci(a,n-2)!=n-3)
				{
					swap(a[n-3],a[najveci(a,n-2)]);
				}
				else
				{
					if(najveci(a,n-3)!=n-4)
					{
						swap(a[n-4],a[najveci(a,n-3)]);
					}
					else
					{
							if(najveci(a,n-4)!=n-5)
					{
						swap(a[n-5],a[najveci(a,n-4)]);
					}
					else
					{
							if(najveci(a,n-5)!=n-6)
					{
						swap(a[n-6],a[najveci(a,n-5)]);
					}
					else
					{
							if(najveci(a,n-6)!=n-7)
					{
						swap(a[n-7],a[najveci(a,n-6)]);
					}
					else
					{
							if(najveci(a,n-7)!=n-8)
					{
						swap(a[n-8],a[najveci(a,n-7)]);
					}
					
					}
					}
						
					}
					}
				}
			}
		}
		
		
	}
	for(int i=0;i<n/2;i++)
	{swap(a[i],a[n-1-i]);
	}
	
	for(int i=0;i<n;i++)
	{
		cout<<a[i]<<" ";
	}
	
}